Wish MultiDex support

Erel

Administrator
Staff member
Licensed User
multi dex will not be supported in the next version. I'm not familiar with any project that reached this limit and wasn't able to solve it with #ExcludeClass.

The next version will make it simpler as the compiler will take Google libraries (firebase, support and play services) directly from the local Maven repositories and will only include the classes required.
 

susu

Well-Known Member
Licensed User
I'm not familiar with any project that reached this limit and wasn't able to solve it with #ExcludeClass
I'm using Appodeal and AdtoApp, they included many ad network jar files into my app so I always face this problem.

The next version will make it simpler as the compiler will take Google libraries (firebase, support and play services) directly from the local Maven repositories and will only include the classes required.
It's great! Thank you.
 

cambopad

Active Member
Licensed User
I wish there should be a multi-dex support function in B4A soon. I also experienced issue like @susu as I used Appodeal and AdToApp. These two companies includes many jars of other ad networks, and when I compiled, B4A also show DEX error and want me to use multi-dex option. If you could add this support to B4A, it would be a great addition!
 

cambopad

Active Member
Licensed User
Thanks Erel! I will try #ExcludeClasses and inform you if my project still get dex error!
 

johndb

Active Member
Licensed User
It would appear that MultiDex support is essential for future B4A development given the size of modern applications and availability of a greater number of libraries for inclusion into the application.
 
Top